For AI agents: the documentation index is at /llms.txt, and this page is available as Markdown at /api/institutional/get-market-data-cefi.md.
Get markets
Query for the exchange best bid/offer (EBBO) by instrument ID. If no query parameters are supplied then ALL available EBBOs will be returned.
instrument_id?stringInstrument ID of the market to query for. Must be a valid non-zero numeric ID.
^[1-9][0-9]*$1 <= lengthSuccessful operation.
application/json- response
[index: integer]?curl -X GET 'https://api.truex.co/v1/cefi/market/quote'[ { "id": "78901949723181070", "symbol": "BTC-PYUSD", "info": { "last_trade": { "price": "110868", "qty": "0.00901", "timestamp": "1752156263825281640" }, "best_bid": { "price": "110865.50", "qty": "0.00018", "order_count": "10" }, "best_ask": { "price": "110865.50", "qty": "0.00018", "order_count": "10" }, "last_update": "1752156513225654386" } }]Get instruments GET
Query for instruments available on the exchange by specific instrument ID or symbol. If no query parameters are supplied than ALL available instruments will be returned.
Get auction state and indicative GET
Query for the opening-auction state (and, while in an opening auction, the indicative) by instrument ID. If no query parameters are supplied then the state for ALL available instruments is returned. auction_mode is always present; the auction_indicative object is included only while the instrument is in an opening auction (OPENING or LOCKED) and omitted otherwise.